| Home | Libraries | People | FAQ | More

## Struct template greater

boost::proto::greater — A metafunction for generating greater expression types, a grammar element for matching greater expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct greater :  proto::transform< greater<T, U> > {
      // types
      typedef proto::expr< proto::tag::greater, proto::list2< T, U > >       type;
      typedef proto::basic_expr< proto::tag::greater, proto::list2< T, U > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<greater>::template impl<Expr, State, Data>
      {
      };
    };

## Description